/////////////////////////////////////////////////////////////////////////////
// Copyright (c) 1996, California Institute of Technology.  
// ALL RIGHTS RESERVED.   U.S. Government Sponsorship acknowledged. 
//
// Please read the full copyright notice in the file COPYRIGH 
// in this directory.
//
// Author: Todd Karakashian, NASA/Jet Propulsion Laboratory
//         Todd.K.Karakashian@jpl.nasa.gov
//
// $RCSfile: HDFList.h,v $ - HDFList classs declaration
//
// $Log: HDFList.h,v $
// Revision 1.4  1999/05/06 03:23:34  jimg
// Merged changes from no-gnu branch
//
// Revision 1.3.20.1  1999/05/06 00:27:22  jimg
// Jakes String --> string changes
//
// Revision 1.3  1997/03/10 22:45:32  jimg
// Update for 2.12
//
// Revision 1.3  1996/09/24 20:53:26  todd
// Added copyright and header.
//
//
/////////////////////////////////////////////////////////////////////////////

#ifndef _HDFLIST_H
#define _HDFLIST_H

// STL includes
#include <string>

// DODS includes
#include "List.h"

class HDFList: public List {
public:
    HDFList(const string &n = "", BaseType *v=0);
    virtual ~HDFList();
    virtual BaseType *ptr_duplicate();
    virtual bool read(const string &, int &);
};

List *NewList(const string &n, BaseType *v);

typedef HDFList * HDFListPtr;



#endif // _HDFLIST_H

